%define shortname xgl
%define name    x11-server-xgl
%define version 0.0.1
%define rel     9
%define git     20060714

%if %{git}
%define release  %mkrel 0.%{git}.%{rel}
%define srcpath http://www.schokokeks.org/~hanno/snapshots/%{shortname}-%{git}.tar.bz2
%define distname %{shortname}
%else
%define release  %mkrel %{rel}
%define distname %{shortname}-%{version}
%define srcpath %{distname}.tar.bz2
%endif

%if %mdkversion <= 200600
%define xgldir          /opt/Xgl
%else
%define xgldir          %_prefix
%endif

Name:	 %{name}
Version: %{version}
Release: %{release}
Summary: Xserver that uses OpenGL
License: GPL
Group:   System/X11
Url:     http://www.freedesktop.org/wiki/Software/Xgl
Source0: %{srcpath}
Source1: xgl.xinit
Source2: xgl.sysconfig
# revert "Mesa CVS head" patches
# http://lists.freedesktop.org/archives/xorg/2006-April/014688.html
Patch0: xgl-bitset.patch
# http://lists.freedesktop.org/archives/xorg/2006-May/015526.html
Patch1: xgl-rbadaptors.patch
Patch2: xgl-xinerama.patch
# http://lists.freedesktop.org/archives/xorg-commit/2006-June/007764.html
Patch3: xgl-arrayobj.patch
# https://bugs.freedesktop.org/show_bug.cgi?id=7137
# patch adapted from opensuse
Patch4: xgl-XkbGetKeyboard.patch
Patch5: 0004-Blue-background-on-startup.txt

BuildRoot: %{_tmppath}/%{name}-build-root
%if %mdkversion > 200600
BuildRequires: libglitz-devel
BuildRequires: libfontenc-devel
BuildRequires: libxau-devel
BuildRequires: libxaw-devel
BuildRequires: libxdmcp-devel
BuildRequires: libxext-devel
BuildRequires: libxfont-devel
BuildRequires: libxi-devel
BuildRequires: libxkbfile-devel
BuildRequires: libxau-devel
BuildRequires: libxkbui-devel
BuildRequires: libxmu-devel
BuildRequires: libxpm-devel
BuildRequires: libxrender-devel
BuildRequires: libxres-devel
BuildRequires: libxxf86misc-devel
BuildRequires: libxxf86vm-devel
BuildRequires: libxfont-devel
BuildRequires: x11-proto-devel
BuildRequires: x11-util-macros
BuildRequires: x11-xtrans-devel
BuildRequires: libxrandr-devel
BuildRequires: libxinerama-devel
%endif
BuildRequires: mesa-source
Requires: mesa-demos
Requires: x11-server-xorg

%description
Xgl is an Xserver that uses OpenGL for its drawing operations. Some
operations like antialiased font rendering is noticably faster with
this technology, and future graphics hardware might only have support
for 3D operations and no 2D core any more.

Note that this is highly experimental code, it has been tested only on
few hardware platforms, and depending on driver state it may even crash
your computer.

%prep
%setup -q -n %{distname}
%patch0 -R -p0 -b .bitset
%patch1 -p1 -b .rbadaptors
%patch2 -b .xinerama
%patch3 -R -p1 -b .arrayobj
%patch4 -p0 -b .xkb
%patch5 -p1 -b .blue_bg

%build
./autogen.sh	--prefix=%{xgldir} \
		--libdir=%{xgldir}/%{_lib} \
		--enable-xgl \
		--disable-xorg \
		--disable-xprint \
		--enable-glx \
		--enable-dri \
		--with-default-font-path="unix/:-1" \
		--with-mesa-source=/usr/src/Mesa/ \
		--disable-dmx \
		--disable-xvfb \
		--disable-xnest \
		--enable-xglx
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# (blino) would conflict with x11-server-xorg
rm -f %{buildroot}%{xgldir}/man/man1/Xserver.1*
# (blino) would conflict with x11-server-devel
rm -f %{buildroot}%{xgldir}/%{_lib}/pkgconfig/xorg-server.pc
rm -f %{buildroot}%{xgldir}/share/aclocal/xorg-server.m4
# (blino) in x11-server-common
rm -f %{buildroot}%{xgldir}/%{_lib}/xserver/SecurityPolicy
rmdir %{buildroot}%{xgldir}/%{_lib}/xserver

install -D -m 0755 %SOURCE1 %{buildroot}%{_sysconfdir}/X11/xinit.d/01%{shortname}
install -D -m 0644 %SOURCE2 %{buildroot}%{_sysconfdir}/sysconfig/%{shortname}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{xgldir}/bin/Xgl*
%{xgldir}/%{_lib}/xorg/*
%{xgldir}/share/X11/xkb/compiled/README.compiled
%{_sysconfdir}/X11/xinit.d/01%{shortname}
%config(noreplace) %{_sysconfdir}/sysconfig/%{shortname}


%changelog
* Thu Sep 14 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-14 01:54:14 (61372)
- don't use -ac option but add cookies for Xgl display instead (#24730)

* Thu Sep 07 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-07 23:17:13 (60559)
- remove LD_LIBRARY_PATH hack, only compiz requires it

* Mon Sep 04 2006 Pixel <pixel@mandriva.com>
+ 2006-09-04 11:35:26 (59736)
- adapt background color (as requested by our graphic team)

* Thu Aug 31 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-31 15:33:49 (59004)
- fix man page removal (section is not 1x anymore but 1)

* Mon Aug 28 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-28 18:02:37 (58472)
- really disable Xgl in failsafe/drak3d sessions

* Fri Aug 25 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-25 10:03:22 (58047)
- fix typo in xinit.d script __LIBDIR__ replacement

* Thu Aug 24 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-24 21:10:36 (57974)
- increase release

* Thu Aug 24 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-24 21:09:52 (57973)
- remove hardcoded Xgl path

* Thu Aug 24 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-24 21:02:11 (57967)
- don't start compiz if in failsafe or drak3d session

* Thu Aug 24 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-24 19:27:16 (57948)
- remove extra underscore in xinit script name

* Thu Aug 24 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-24 19:25:56 (57947)
- do not enable Xgl by default

* Tue Aug 22 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-22 16:38:46 (57507)
- add blue background patch from x11-server

* Tue Aug 22 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-22 11:42:11 (57449)
- x11-server-xgl-0.0.1-0.20060714.4mdv2007.0

* Tue Aug 22 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-22 11:15:50 (57088)
- add missing buildrequires, so that the xglx module gets always built (Christiaan Welvaart)

* Mon Aug 21 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-21 11:20:27 (56920)
- x11-server-xgl-0.0.1-0.20060714.3mdv2007.0

* Mon Aug 21 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-21 11:18:33 (56919)
- handle the no3ddesktop cmdline option

* Mon Aug 21 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-21 11:17:12 (56918)
- allow to configure Xgl options

* Mon Aug 21 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-21 11:16:25 (56917)
- allow to configure Xgl display

* Mon Aug 21 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-21 11:13:53 (56916)
- add XkbGetKeyboard (needed for gnome keyboard tool)

* Mon Aug 21 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-21 11:06:50 (56907)
- enable xkb

* Mon Aug 21 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-21 11:06:06 (56906)
- don't start Xgl when both client and server GLX_EXT_tfp are present, not only server (fglrx fix)

* Fri Aug 18 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-18 14:59:45 (56752)
- x11-server-xgl-0.0.1-0.20060714.2mdv2007.0

* Fri Aug 18 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-18 14:58:52 (56751)
- auto-start Xgl if possible and useful

* Wed Aug 16 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-16 23:50:59 (56492)
- mark the sysconfig file as config

* Wed Aug 16 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-16 23:50:06 (56491)
- add url

* Wed Aug 16 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-16 23:49:06 (56490)
- fix summary ended with dot

* Wed Aug 16 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-16 23:26:54 (56489)
- add xgl-arrayobj.patch

* Wed Aug 16 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-16 23:22:23 (56488)
- really use unix/:-1 as default font path

* Wed Aug 16 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-16 18:54:10 (56435)
- export LD_LIBRARY_PATH

* Wed Aug 16 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-16 17:29:12 (56427)
- remove unpackaged xserver directory

* Wed Aug 16 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-16 17:26:53 (56426)
- really remove xorg-server.m4

* Wed Aug 16 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-16 17:14:41 (56425)
- 64 bit fixes (Colin Guthrie)

* Wed Aug 16 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-16 17:11:39 (56424)
- fix build with cooker's Mesa

* Wed Aug 16 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-16 16:51:25 (56412)
- don't package xorg-server.m4

* Wed Aug 16 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-16 16:22:04 (56391)
- use git snapshot

* Wed Aug 16 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-16 13:20:17 (56314)
- add Xinerama support (Colin Guthrie)

* Wed Aug 16 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-16 13:14:21 (56311)
- use unix/:-1 as default fontpath (Colin Guthrie)

* Wed Aug 16 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-16 13:13:11 (56310)
- add buildrequires (Colin Guthrie)

* Wed Aug 16 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-16 13:08:00 (56308)
- use xgl as shortname (Colin Guthrie)

* Wed Aug 16 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-16 12:58:41 (56301)
- require x11-server-xorg (Christiaan Welvaart)

* Wed Aug 16 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-16 12:49:28 (56300)
- add some missing buildroot

* Wed Aug 16 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-16 12:48:35 (56299)
- SecurityPolicy is in x11-server-common (Christiaan Welvaart)

* Wed Aug 16 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-16 12:44:26 (56298)
- don't package pkgconfig file (Christiaan Welvaart)

* Wed Aug 16 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-16 12:43:20 (56297)
- don't package Xserver man page (Christiaan Welvaart)

* Wed Aug 16 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-16 11:59:05 (56293)
- rename xgl as x11-server-xgl (Christiaan Welvaart)

* Wed Aug 16 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-16 10:27:59 (56289)
- require mesa-demos (#24335)

* Thu Aug 10 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-10 19:25:20 (55443)
- really add xgl session files

* Thu Aug 10 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-10 19:20:20 (55442)
- allow to run XGL from X session (config in /etc/sysconfig/xgl)

* Thu Aug 10 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-10 19:09:43 (55438)
- fix typo

* Thu Aug 10 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-10 19:08:45 (55437)
- fix man page in files list

* Thu Aug 10 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-10 18:54:30 (55429)
- fix typo

* Tue Aug 08 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-08 20:24:42 (54595)
- use make macro and clean buildroot

* Tue Aug 08 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-08 20:23:55 (54594)
- xgl-0.0.1-20060808

* Tue Aug 08 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-08 20:12:48 (54593)
- remove 2006.0 hacks

* Tue Aug 08 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-08 20:11:30 (54592)
- remove 2006.0 hacks

* Tue Aug 08 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-08 20:09:56 (54589)
- don't use prefix on cooker

* Mon Aug 07 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-07 18:21:39 (54000)
- pass xgldir as prefix to configure script

* Mon Aug 07 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-07 17:42:58 (53982)
- revert "Mesa CVS head" specific patches to build with cooker Mesa

* Mon Aug 07 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-07 16:56:08 (53964)
- cooker updates (from Vincent Guardiola)

* Mon Aug 07 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-07 16:49:33 (53957)
- import xgl-0.0.1-1mdv2007.0
